#ifndef __config_h
#define __config_h

// - - - - - - - - - - - - - - - - - - - - 
// pic_serial defines
// - - - - - - - - - - - - - - - - - - - - 

#define SERIAL_TX_BUFFER_SIZE 20
#define SERIAL_RX_BUFFER_SIZE 4

// Use this define if you want fine-grained control of what happens in the serial port
//#define SERIAL_DEBUG_ON

// Use this define if you are debugging in the IDE simulator and don't want it to hang
// waiting for serial interrupts that will never come...
#define SERIAL_IDE_DEBUG

// Use thie define if you want to drop a character if the TX buffer is full,
// rather than the default behaviour, which is to wait until the TX buffer has
// a spare spot.
//#define SERIAL_DISCARD_ON_TX_FULL_DURING_INT

// - - - - - - - - - - - - - - - - - - - - 
// pic_term defines
// - - - - - - - - - - - - - - - - - - - - 

#define TERM_BUFFER_SIZE	10
// Reset (go to bootloader) if magic character received
#define TERM_ALLOW_BOOSTBLOADER
// Echo typing so user can see what they're doing
#define TERM_ECHO_INPUT

// - - - - - - - - - - - - - - - - - - - - 

// Create term_entry_callback in your own code
// void term_entry_callback(uns8 *term_buffer);


// - - - - - - - - - - - - - - -
// General platform definitions
// - - - - - - - - - - - - - - -
#define PLATFORM_TYPE OLIMEX_BOARD
#define PLATFORM_CLOCK 20000000
#include "platform.h"

#define PLATFORM_LEDS_FLASH_TICKS 10

#endif