
#include "cat4016.h"
#include "pic_serial.h"

void cat4016_setup_io() {

	clear_pin(cat4016_clk_port, cat4016_clk_pin);
	clear_pin(cat4016_lat_port, cat4016_lat_pin);
	set_pin(cat4016_bl_port, cat4016_bl_pin);
	
	make_output(cat4016_sin_port, cat4016_sin_pin);
	make_output(cat4016_clk_port, cat4016_clk_pin);
	make_output(cat4016_bl_port, cat4016_bl_pin);
	make_output(cat4016_lat_port, cat4016_lat_pin);
	
}
	

void cat4016_write_data(uns8 d1, uns8 d2) {

uns8 count;

	for (count=0; count<8; count++) {
	
		// set data
		change_pin_var(cat4016_sin_port, cat4016_sin_pin, d1.7);
		if (d1.7) {
			serial_putc('1');
		} else {
			serial_putc('0');
		}	
		d1 <<= 1;
	
		// pulse clk
		set_pin(cat4016_clk_port, cat4016_clk_pin);
		clear_pin(cat4016_clk_port, cat4016_clk_pin);
		
	}
	
	for (count=0; count<8; count++) {
	
		// set data
		change_pin_var(cat4016_sin_port, cat4016_sin_pin, d2.7);
		if (d2.7) {
			serial_putc('1');
		} else {
			serial_putc('0');
		}	
		d2 <<= 1;
	
		// pulse clk
		set_pin(cat4016_clk_port, cat4016_clk_pin);
		clear_pin(cat4016_clk_port, cat4016_clk_pin);
		
	}
}

void cat4016_enable_display(uns8 on){

	if (on){
		clear_pin(cat4016_bl_port, cat4016_bl_pin);
	} else {
		set_pin(cat4016_bl_port, cat4016_bl_pin);
	}	

}	

void cat4016_latch_data() {

	set_pin(cat4016_lat_port, cat4016_lat_pin);
	clear_pin(cat4016_lat_port, cat4016_lat_pin);

}
